Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 740620 - app-eselect/eselect-php: use tmpfiles.eclass instead of systemd_tmpfiles*
Summary: app-eselect/eselect-php: use tmpfiles.eclass instead of systemd_tmpfiles*
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: PHP Bugs
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 740638
  Show dependency tree
 
Reported: 2020-09-06 03:24 UTC by Michał Górny
Modified: 2020-10-16 14:44 UTC (History)
1 user (show)

See Also:
Package list:
app-eselect/eselect-php-0.9.6
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-09-06 03:24:44 UTC
The packages listed in summary still use systemd_tmpfiles API.  Please switch to tmpfiles.eclass that is maintained and supports OpenRC correctly.
Comment 1 Michael Orlitzky gentoo-dev 2020-09-06 11:39:58 UTC
I've forgotten if there's any reason not to stabilize it, but eselect-php-0.9.6 already "upstreamed" the tmpfiles.d entry.
Comment 2 Michael Orlitzky gentoo-dev 2020-10-13 14:02:02 UTC
Let's see what happens? Arches, please stabilize app-eselect/eselect-php-0.9.6 so that we can delete the older ebuilds that still use the systemd tmpfiles stuff.
Comment 3 Sam James archtester gentoo-dev Security 2020-10-14 16:41:22 UTC
arm64 done
Comment 4 Sam James archtester gentoo-dev Security 2020-10-14 16:44:40 UTC
arm done
Comment 5 Agostino Sarubbo gentoo-dev 2020-10-14 19:08:51 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2020-10-14 19:17:38 UTC
ppc stable
Comment 7 Agostino Sarubbo gentoo-dev 2020-10-14 19:19:41 UTC
ppc64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2020-10-14 19:20:09 UTC
sparc stable
Comment 9 Agostino Sarubbo gentoo-dev 2020-10-14 19:23:00 UTC
x86 stable
Comment 10 Sergei Trofimovich gentoo-dev 2020-10-15 22:42:40 UTC
hppa stable

Last arch. Closing.
Comment 11 Larry the Git Cow gentoo-dev 2020-10-16 14:44:35 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4165bd92e2045bd41ee0dfeecbc8a5f7505192e

commit c4165bd92e2045bd41ee0dfeecbc8a5f7505192e
Author:     Michael Orlitzky <mjo@gentoo.org>
AuthorDate: 2020-10-16 14:40:08 +0000
Commit:     Michael Orlitzky <mjo@gentoo.org>
CommitDate: 2020-10-16 14:42:47 +0000

    app-eselect/eselect-php: remove obsolete versions.
    
    Bug: https://bugs.gentoo.org/740620
    Package-Manager: Portage-3.0.8, Repoman-3.0.1
    Signed-off-by: Michael Orlitzky <mjo@gentoo.org>

 app-eselect/eselect-php/Manifest                   |  2 -
 .../eselect-php/eselect-php-0.9.4-r5.ebuild        | 44 ----------------------
 app-eselect/eselect-php/eselect-php-0.9.5.ebuild   | 44 ----------------------
 app-eselect/eselect-php/files/php-fpm-launcher     |  7 ----
 app-eselect/eselect-php/files/php-fpm-launcher-r3  | 11 ------
 app-eselect/eselect-php/files/php-fpm.conf         |  1 -
 6 files changed, 109 deletions(-)